## edu.wisc.ssec.mcidas
Class RECTnav

    java.lang.Object
      edu.wisc.ssec.mcidas.AREAnav
          edu.wisc.ssec.mcidas.RECTnav

All Implemented Interfaces:
  Serializable

public final class RECTnav
extends AREAnav

Navigation class for Radar (RECT) type nav. This code was modified from the original FORTRAN code (nvxrect.dlm) on the McIDAS system. It only supports latitude/longitude to line/element transformations (LL) and vice/versa. Transform to 'XYZ' not implemented.

See Also:
  McIDAS Programmer's Manual, Serialized Form

Field Summary
`(package private) int` `itype`
`(package private) int` `iwest`
`(package private) double` `xcol`
`(package private) double` `xedif`
`(package private) double` `xele`
`(package private) double` `xlat`
`(package private) double` `xldif`
`(package private) double` `xlin`
`(package private) double` `xlon`
`(package private) double` `xrow`
`(package private) double` `zdlat`
`(package private) double` `zdlon`
`(package private) double` `zslat`
`(package private) double` `zslon`

Fields inherited from class edu.wisc.ssec.mcidas.AREAnav
`DEGREES_TO_RADIANS, DMSP, GMSX, GOES, GVAR, indexEle, indexLat, indexLine, indexLon, LALO, LAMB, LL, MERC, MOLL, MSAT, MSG, MSGT, POES, PS, RADIANS_TO_DEGREES, RADR, RECT, serialVersionUID, TANC, XY`

Constructor Summary
`RECTnav(int[] iparms)` Set up for the real math work.

Method Summary
`double[][]` `toLatLon(double[][] linele)` converts from satellite coordinates to latitude/longitude
`double[][]` `toLinEle(double[][] latlon)` toLinEle converts lat/long to satellite line/element

Methods inherited from class edu.wisc.ssec.mcidas.AREAnav
`areaCoordToImageCoord, areaCoordToImageCoord, areaCoordToImageCoord, areaCoordToImageCoord, doubleToFloat, equals, floatToDouble, getLineOffset, imageCoordToAreaCoord, imageCoordToAreaCoord, imageCoordToAreaCoord, imageCoordToAreaCoord, isFlippedLineCoordinates, makeAreaNav, makeAreaNav, setFlipLineCoordinates, setImageStart, setMag, setMag, setRes, setRes, setStart, toLatLon, toLinEle, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### itype

    int itype

### iwest

    int iwest

### xrow

    double xrow

### xcol

    double xcol

### zslat

    double zslat

### zslon

    double zslon

### zdlat

    double zdlat

### zdlon

    double zdlon

### xlin

    double xlin

### xele

    double xele

### xldif

    double xldif

### xedif

    double xedif

### xlat

    double xlat

### xlon

    double xlon

Constructor Detail

### RECTnav

    public RECTnav(int[] iparms)
            throws IllegalArgumentException

  Set up for the real math work. Must pass in the int array of the RECT nav 'codicil'.

Parameters:
  `iparms` - the nav block from the image file
Throws:
  `IllegalArgumentException` - if the nav block is not a RECT type.

Method Detail

### toLatLon

    public double[][] toLatLon(double[][] linele)

  converts from satellite coordinates to latitude/longitude

  Specified by:
    `toLatLon` in class `AREAnav`
  Returns:
    latlon[][] array of lat/long pairs. Output array is latlon[indexLat][] of latitudes and latlon[indexLon][] of longitudes.

### toLinEle

    public double[][] toLinEle(double[][] latlon)

  toLinEle converts lat/long to satellite line/element

  Specified by:
    `toLinEle` in class `AREAnav`
  Returns:
    linele[][] array of line/element pairs. Where linele[indexLine][] is a line and linele[indexEle][] is an element. These are in 'file' coordinates (not "image" coordinates);